abstract class AuthEvent {}

class SetAuthenticatedEvent extends AuthEvent {
  String sessionId;

  SetAuthenticatedEvent({required this.sessionId});
}

class Logout extends AuthEvent {
  String username;

  Logout({required this.username});
}